
Installer - Bug #29371

[puppet_pulpcore] Update pulp/settings.py to support pulpcore3.2 changes

03/18/2020 03:09 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There are some changes needed to template/settings.py to support pulpcore 3.2

We need the below to support 3.2:

AUTHENTICATION_BACKENDS = ['pulpcore.app.authentication.PulpNoCreateRemoteUserBackend']

REST_FRAMEWORK__DEFAULT_AUTHENTICATION_CLASSES = (

'rest_framework.authentication.SessionAuthentication',

'pulpcore.app.authentication.PulpRemoteUserAuthentication'

)

ALLOWED_IMPORT_PATHS = ['/var/www/test_repos']

Associated revisions

Revision f59265eb - 04/01/2020 11:39 AM - Samir Jha 

Fixes #29371 - Update settings.py for pulpcore3.2

Fixes #29371 - Add tests and add param import paths

History

#1 - 03/18/2020 03:20 PM - Samir Jha

- Subject changed from Update pulp/settings.py to support pulpcore3.2 changes to [puppet_pulpcore] Update pulp/settings.py to support pulpcore3.2

changes

#2 - 04/01/2020 12:01 PM - Anonymous

- Status changed from New to Closed

Applied in changeset puppet-pulpcore|f59265ebb9fbe9cceddad37400849f8935538d1e.
